# List activation

Source: https://developer.avalara.com/products/e-invoicing/integration-guides/elr/fhe9739744769132/

Guide: E-Invoicing and Live Reporting

# List activation

Retrieve a list of mandate activation registrations and their status in ELR.

**Endpoint**: `GET /orl/registrations`

Use this endpoint to retrieve a list of registrations for the tenant.

You can filter the results using any fields available at the top level of the returned objects.

The response returns all available registrations for the tenant along with the `status.code` for each registration. Possible values for status are:

-   `InformationRequired`
-   `InProgress`
-   `Failure`
-   `Completed`

**Headers**

Name

Description

**X-Avalara-Client**

Provided by Avalara. Identifies the software you are using to call this API.

**avalara-version**

(Required) Specifies the version of the API to use.

**Accept**

application/json

**Query parameters**

Name

Description

`$filter`

A filter expression used to limit the returned records. Example: `countryMandate eq NL-B2B-PEPPOL AND status/code eq Completed`. Filterable fields include: `countryMandate`, `mandateType`, `company/identifier`.

`$count`

When set to `true`, returns the count of the collection in the response body as `@recordSetCount`.

`$countOnly`

When set to `true`, returns only the count of the collection.

`$top`

If nonzero, returns no more than this number of results. Used with `$skip` for pagination. The maximum number of records returned is 1,000 unless otherwise specified.

`$skip`

If nonzero, skips this number of results before returning data. Used with `$top` for pagination.

## Example request

```
curl --location '/orl/registrations' \
--header 'X-Avalara-Client: ProvidedToYouByAvalara' \
--header 'avalara-version: 1.0' \
--header 'Accept: application/json'
```